      function asinh(y) 
c bernd berg may 31 2009. inverse sinh function.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      asinh=log(abs(y)+sqrt(y**2+one))
      asinh=asinh*sign(one,y)
      return
      end
